function f_err(el, err_text)
{
	alert(err_text);
	el.focus();
	return false;
}

function email_valid(an_email)
{
  return (an_email.search(/[a-zA-Z0-9_][a-zA-Z0-9_-]*@([a-zA-Z0-9_-]+\.)*[a-zA-Z0-9_-]+/i)>=0);
}

function is_email_valid(an_email)
{
  return email_valid(an_email);
}

function is_empty_str(str)
{
 return (str.toString().replace(/ +/i,"")=="");
}

function valid_string(el, tp, name)
{
	for(var i in tp)
	{
	  var err = '';
	  var res = false;
		switch(tp[i])
		{
			case 'no_space':
			  res = el.value.search(/ /i)>=0;
			  if(res)
			  {
			  	err = 'Поле '+name+' не должно содержать пробелов';
			  }
			  break;
			case 'no_rus':
			  res = el.value.search(/[А-Яа-я]/i)>=0;
			  if(res)
			  {
			  	err = 'Поле '+name+' не должно содержать кирилицы';
			  }
			  break;
			case 'min4':
			  res = (el.value.length<4);
			  if(res)
			  {
			  	err = 'Поле '+name+' должно быть не короче 4-х символов';
			  }
			  break;
		}
	}
  if(res)
  {
  	alert(err);
  	el.focus();
  	return false;
  }
  return true;
}
